### linux安装java

#### 1.下载

下载地址

https://www.oracle.com/java/technologies/downloads/#java8

把下载的文件上传到linux机器

我这里下载的版本是`jdk-8u281-linux-x64.tar.gz`

#### 2.上传解压

我这里上传的目录是`/www/server/java`

![image-20211201112653247](assets/image-20211201112653247.png)

```shell
# 切换到所在目录
cd /www/server/java/
# 解压
tar -zxvf jdk-8u281-linux-x64.tar.gz
```

#### 3.配置

**修改环境变量**

```shell
 vim /etc/profile
```

在文件末尾加入

```shell
export JAVA_HOME=/www/server/java/jdk1.8.0_281
export PATH=$JAVA_HOME/bin:$PATH 
export CLASSPATH=.:$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar 
```

![image-20211201113234622](assets/image-20211201113234622.png)

保存之后让修改生效

```shell
source /etc/profile
```

#### 4.测试

```shell
java -version
```

![image-20211201113353193](assets/image-20211201113353193.png)

